Subject: Re: [sami] FW: New Version Notification for draft-gu-statemigration-framework-00.txt

From: "Senthil Sivakumar (ssenthil)" <[email-masked]>
Date: Tue, 10 Jul 2012 17:18:05 +0000

Hi David,

Thank your for your review and comments, please see inline for [Senthil]

I generally like this draft - I've sent a bunch of comments directly to the
authors, many of which are editorial.

OTOH, the 4.2 State vs. Policy section appears worthy of a wider discussion.

This section appears to introduce a concept of a related set of middleboxes- the rough operational definition is "the set of middleboxes across which
policy has to be uniformly provisioned in order to obtain consistent policyenforcement in the presence of middlebox state migration".  This seems rather
important to understanding the likely scope of deployment and the administrative
characteristics of state migration so I'd suggest more text on this conceptin that section or somewhere nearby.  This also relates to discussion of
middleboxes knowing about each other in the second paragraph of Section 6.
In addition, with respect to the concerns in at least section 7.2, this
leans towards a heavy reliance on configuration for (or to support) discovery.

[Senthil] I believe that the state migration can happen only between boxes that are in a
cooperative administrative domain. Because this would require some explicit and some implicit
Configuration parameters so that the middle boxes work in tandem to facilitate the state
information. I mention a cooperative administrative domain because I don¹t
want to say that it MUST be in the same administrative domain - an example
of co-operative admin domain would be an enterprise but operated out of
different data centers etc. The same thing with VM migrations, any random VM
cannot take over from an active VM, they must be in a co-operative
administrative domain.

Maybe that was not explicit enough in the draft that we should make it
explicit enough.

One would want to provide state migration and synchronization as a service
to its customers/employees. In other words you don¹t want to provide this
as a free service as the cost of doing this is significant (either
redundancy, CPU cycles and network bandwidth), so providing this as a
service, in a common administrative domain is definitely the premise, IMO.

Thanks
Senthil

The fact that this topic touches upon multiple sections is indicative of its
importance, and it feels like a good "place to dig" to come up with an
initial state migration problem scenario/subset) that might be solvable in
a reasonable period of time. The sort of thing I have in mind is that if
the middleboxes are under common administration, and are in the same
administrative domain as the attachment points across which the endpoint
movement occurs, a number of the hard problems in Section 7 (e.g., discovery)
are amenable to solution via configuration and the security discussion is
qualitatively rather different from what's in Section 8.

Thanks,
--David